Aller au contenu

database_api.find_vesting_delegation_expirations ​

since HF17

Purpose ​

Retourne les délégations de vesting (vesting delegation) arrivant à expiration pour un compte. Paramètres : account:string

account (string)
"steemit"Interroge le vesting (vesting) arrivant à expiration pour steemit.
"alice"Interroge le vesting (vesting) arrivant à expiration pour alice.

Parameters ​

PARAMETERS
json
{
  "account": ""
}

Example ​

Example 1 ​

BASH
bash
curl -s https://api.steemit.com \
  -H 'Content-Type: application/json' \
  --data-binary '{
    "jsonrpc": "2.0",
    "method": "database_api.find_vesting_delegation_expirations",
    "params": {
      "account": "steemit"
    },
    "id": 1
  }'

Example 2 ​

BASH
bash
curl -s https://api.steemit.com \
  -H 'Content-Type: application/json' \
  --data-binary '{
    "jsonrpc": "2.0",
    "method": "database_api.find_vesting_delegation_expirations",
    "params": {
      "account": "alice"
    },
    "id": 1
  }'

Response ​

RESPONSE
json
{
  "delegations": [
    {
      "id": 3077902,
      "delegator": "steem",
      "vesting_shares": {
        "amount": "201417615",
        "precision": 6,
        "nai": "@@000000037"
      },
      "expiration": "2018-12-05T21:46:48"
    }
  ]
}